language: php

dist: trusty

matrix:
    include:
        - php: 5.5.9
        - php: hhvm-3.24
    fast_finish: true

before_install:
    - if [[ "$TRAVIS_PHP_VERSION" != "hhvm-3.24" ]]; then echo "xdebug.overload_var_dump = 1" >> ~/.phpenv/versions/$(phpenv version-name)/etc/php.ini; fi

install:
    - travis_retry composer update
    - travis_retry ./vendor/bin/simple-phpunit install

script:
    - ./vendor/bin/simple-phpunit
